question

Joel-9100 avatar image
0 Votes"
Joel-9100 asked DianaWanjuhi-1579 published

Bidirectional calendar with graphql

Hi, we have an enterprise application that schedules calendar events for users into their 365 calendars using graphql. We store the event time / details in our system and this all works fine as long as people reschedule events from our system. However when the users reschedule events directly from their calendars, it gets out of sync with our stored time.

We’ve looked into what solution we could employ to keep this in sync and the best we could find was subscribing to updates to each user’s entire calendar and renewing this subscriptions every day as long as we have events we need to watch for changes on.

Is there a better way of going about this? Ie a webhook for changes to an individual event would make much more sense. Does this exist? We couldn’t find it.

microsoft-graph-calendar
· 2
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

Hi, i also want to use GraphQL but when i use 'https://graph.microsoft.com/v1.0/' I get Method not allowed could you please tell me what the graphQL endpoint for microsoft graph is

My original command:
"curl -i 'https://graph.microsoft.com/v1.0/' -H 'Content-Type: application/json' -X POST -d '{\n me {\n displayName\n messages {\n subject\n isRead\n from {\n emailAddress {\n address\n }\n }\n }\n }\n}' -H 'Authorization: Bearer <ACCESS_TOKEN>' "

0 Votes 0 ·

Hello @ollen-4106 thanks for your question. graphQL is currently not supported for MS Graph - would you kindly consider filing a feature request so this can be looked into?

Diana.


0 Votes 0 ·

1 Answer

DianaWanjuhi-1579 avatar image
0 Votes"
DianaWanjuhi-1579 answered DianaWanjuhi-1579 published

Hello @Joel-9100 thank you for reaching out. There isn't currently a way to subscribe to changes to an individual event and the approach you've shared above is what I would recommend. Would you kindly consider filing a feature request so this can be looked into?

Let me know if this helps and if you have further questions


Diana.


5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.